Subject: bug#14704: 24.3.50; cl-lib breaks built-in Emacs version

From: Juanma Barranquero <[email-masked]>
Date: Mon, 24 Jun 2013 22:18:00 +0200

On Mon, Jun 24, 2013 at 8:26 PM, Sebastian Wiesner <[email-masked]> wrote:

> But instead I did you work: I debugged the problem, found the cause,
> and reported it.  I am sorry that I did not provide a patch right
> away,

Nobody has dismissed your bug reports for not having a patch.

> and have not signed any
> copyright papers and no intention whatsoever of doing so.  I doubt
> that any patch of mine would have been accepted.

Until 10 lines or so, they could be accepted if they fix the bug and
are clearly written, as a "tiny change".

> I did neither scream nor demand

" Don't you test your code?! " counts as a scream and a demand in my view.

> By not writing or running tests for *your* code you have wasted *my*
> time.  That is what I call “rude”.

Your definition of "rude" seems quite one-sided.

> Fine, let's go home than.  I'll ask ma about good manners, and you'll
> ask your high school teacher about software testing.  We'll see who of
> us learns more on this trip…

Let's try not to turn this into a high school match...

    J